package blade;
/**
* This class represents one Blade, a servlet URL that gets a small chunk
* of information.
*
* $Id: Blade.java,v 1.1 2003/01/20 05:59:46 finson Exp $
*/
public class Blade {
	/**
	* Store the name and the URL, based on the provided parameters.
	* @param n the display name of the Blade
	* @param u the String representation of the URL associated 
	* with this Blade.
	*/
	public Blade(String n, String u) {
		bName = n;
		bExternalForm = u;
	}
	/**
	* Return the display name of this Blade.
	* @return the display name of this Blade.
	*/
	public String getName() {
		return bName;
	}
	/**
	* Return the external form of the URL associated with this Blade.
	* @return the external form of the URL associated with this Blade.
	*/
	public String getExternalForm() {
		return bExternalForm;
	}
	
	//---------------------------------------------------------------------
	
	/** the display name of the Blade */
	private String bName;
	/** the String representation of the URL associated with this Blade */
	private String bExternalForm;
}

	
		
